Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
organizations
/
{innerOrganizationId}
/
exports
White Label Admin - Create a new organization data export
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/exports \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "description": "<string>",
  "expirationDate": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/exports"

payload = {
"description": "<string>",
"expirationDate": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', expirationDate: '2023-11-07T05:31:56Z'})
};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 12873488112,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

innerOrganizationId
integer
required

Organization ID within the context of a white label

Body

application/json
description
string
required

Description of the data export

expirationDate
string<date-time>

Date when the export will expire. Default is 30 days. Maximum expiration date is 60 days from the creation date.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

error
string

Optional error description (set if 'success' was false)